MakeBlock Drive Updated Updated library for MakeBlock Ranger

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
MeUSBHost Class Reference

Driver for Me USB Host module. More...

`#include <src/MeUSBHost.h>`

Inheritance diagram for MeUSBHost:
[legend]
Collaboration diagram for MeUSBHost:
[legend]

## Public Member Functions
| MeUSBHost ()
| MeUSBHost (uint8_t s1, uint8_t s2)
| MeUSBHost (uint8_t port)
void | init (int8_t type)
int16_t | initHIDDevice ()
int16_t | probeDevice ()
void | resetBus ()
uint8_t | host_recv ()
Public Member Functions inherited from MePort
| MePort (void)
| MePort (uint8_t port)
| MePort (uint8_t port, uint8_t slot)
uint8_t | getPort (void)
uint8_t | getSlot (void)
bool | dRead1 (uint8_t mode=INPUT)
bool | dRead2 (uint8_t mode=INPUT)
bool | dpRead1 (void)
bool | dpRead2 (void)
void | dWrite1 (bool value)
void | dWrite2 (bool value)
int16_t | aRead1 (void)
int16_t | aRead2 (void)
void | aWrite1 (int16_t value)
void | aWrite2 (int16_t value)
void | reset (uint8_t port)
void | reset (uint8_t port, uint8_t slot)
uint8_t | pin1 (void)
uint8_t | pin2 (void)
uint8_t | pin (void)
uint8_t | pin (uint8_t port, uint8_t slot)

## Public Attributes
bool | ch375_online
bool | device_online
bool | device_ready
uint8_t | RECV_BUFFER [CH375_MAX_DATA_LEN]

## Additional Inherited Members
Protected Attributes inherited from MePort
uint8_t | s1
uint8_t | s2
uint8_t | _port
uint8_t | _slot

## Detailed Description

Driver for Me USB Host module.

Class: MeUSBHost

Description
  Declaration of Class MeUSBHost.

Copyright (C), 2012-2016, MakeBlock

## Constructor & Destructor Documentation

## ◆ MeUSBHost() [1/2]

MeUSBHost::MeUSBHost | ( |  | ) |

Alternate Constructor which can call your own function to map the USB Host to arduino port, no pins are used or initialized here.

Parameters

  [in] | None |

## ◆ MeUSBHost() [2/2]

MeUSBHost::MeUSBHost | ( | uint8_t | port | ) |

Alternate Constructor which can call your own function to map the USB Host to arduino port,
the slot2 pin will be used for key pin.

Parameters

  [in] | port | - RJ25 port from PORT_1 to M2

## Member Function Documentation

## ◆ host_recv()

uint8_t MeUSBHost::host_recv | ( |  | ) |

Function
  host_recv

Description
  The USB Host receive data.

Parameters

  [in] | None |

Output
  None

Returns
  Return the length of data.

Others
  None

## ◆ init()

void MeUSBHost::init | ( | int8_t | type | ) |

Function
  init

Description
  Init the data Bus.

Parameters

  [in] | type | - The type of data Bus.

Output
  None

Returns
  None

Others
  None

## ◆ initHIDDevice()

int16_t MeUSBHost::initHIDDevice | ( |  | ) |

Function
  initHIDDevice

Description
  Init the HID Device.

Parameters

  [in] | None |

Output
  None

Returns
  The result of initHIDDevice's action.

Others
  None

## ◆ probeDevice()

int16_t MeUSBHost::probeDevice | ( |  | ) |

Function
  probeDevice

Description
  Prode of USB Host Device.

Parameters

  [in] | None |

Output
  None

Returns
  The result of device's probe.

Others
  None

## ◆ resetBus()

void MeUSBHost::resetBus | ( |  | ) |

Function
  resetBus

Description
  Reset the data Bus.

Parameters

  [in] | None |

Output
  None

Returns
  None

Others
  None

The documentation for this class was generated from the following files:

- src/MeUSBHost.h
- src/MeUSBHost.cpp